javax.naming

## Class TimeLimitExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.LimitExceededException
        - - javax.naming.TimeLimitExceededException

All Implemented Interfaces:
  Serializable

    public class TimeLimitExceededException
    extends LimitExceededException

This exception is thrown when a method does not terminate within the specified time limit. This can happen, for example, if the user specifies that the method should take no longer than 10 seconds, and the method fails to complete with 10 seconds.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

### Constructor Summary

Constructors
Constructor and Description
`TimeLimitExceededException()` Constructs a new instance of TimeLimitExceededException.
`TimeLimitExceededException(String explanation)` Constructs a new instance of TimeLimitExceededException using the argument supplied.

### Method Summary

### Methods inherited from class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeLimitExceededException

    public TimeLimitExceededException()

Constructs a new instance of TimeLimitExceededException. All fields default to null.

#### TimeLimitExceededException

    public TimeLimitExceededException(String explanation)

Constructs a new instance of TimeLimitExceededException using the argument supplied.

Parameters:
  `explanation` - possibly null detail about this exception.
See Also:
  `Throwable.getMessage()`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.